gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.MenuButtonAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype MenuButtonAccessible = MenuButtonAccessible (ManagedPtr MenuButtonAccessible)
- class (GObject o, IsDescendantOf MenuButtonAccessible o) => IsMenuButtonAccessible o
- toMenuButtonAccessible :: (MonadIO m, IsMenuButtonAccessible o) => o -> m MenuButtonAccessible

# Exported types

newtype MenuButtonAccessible Source #

Memory-managed wrapper type.

Constructors

MenuButtonAccessible (ManagedPtr MenuButtonAccessible) |

#### Instances

Instances details

Eq MenuButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuButtonAccessible Methods (==) :: MenuButtonAccessible -> MenuButtonAccessible -> Bool Source # (/=) :: MenuButtonAccessible -> MenuButtonAccessible -> Bool Source #
GObject MenuButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuButtonAccessible
ManagedPtrNewtype MenuButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuButtonAccessible Methods toManagedPtr :: MenuButtonAccessible -> ManagedPtr MenuButtonAccessible Source #
TypedObject MenuButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuButtonAccessible Methods glibType :: IO GType Source #
HasParentTypes MenuButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuButtonAccessible
IsGValue (Maybe MenuButtonAccessible) Source # | Convert `MenuButtonAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.MenuButtonAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe MenuButtonAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe MenuButtonAccessible) Source #
type ParentTypes MenuButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.MenuButtonAccessible type ParentTypes MenuButtonAccessible = '[ToggleButtonAccessible, ButtonAccessible, ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Action, Component, Image]

class (GObject o, IsDescendantOf MenuButtonAccessible o) => IsMenuButtonAccessible o Source #

Type class for types which can be safely cast to `MenuButtonAccessible`, for instance with `toMenuButtonAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf MenuButtonAccessible o) => IsMenuButtonAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.MenuButtonAccessible

toMenuButtonAccessible :: (MonadIO m, IsMenuButtonAccessible o) => o -> m MenuButtonAccessible Source #

Cast to `MenuButtonAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getImageDescription, getImageLocale, getImagePosition, getImageSize, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setImageDescription, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.